Tasuku
ReferenceAPI referenceSecrets

Read a secret rotation's progress

GET/instance/secret-rotations/{rotation_id}

Authorization

AuthorizationBearer <token>

Operator-provided one-time bootstrap token.

In: header

Path Parameters

rotation_id*string
Length1 <= length <= 128

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/instance/secret-rotations/string"
{  "data": {    "created_at": "string",    "error": "string",    "failed_secrets": 0,    "finished_at": "string",    "from_key_version": 0,    "id": "string",    "processed_secrets": 0,    "remaining": 0,    "started_at": "string",    "status": "QUEUED",    "to_key_version": 0,    "total_secrets": 0,    "updated_at": "string",    "workflow_instance_id": "string",    "workflow_status": "string"  }}